[tox]
envlist = py36,pep8, pylint, pytest

[testenv]
usedevelop = True
deps =
  -r{toxinidir}/requirements.txt
  -r{toxinidir}/test-requirements.txt
install_command = pip install {opts} {packages}

[testenv:pep8]
basepython = python3
deps =
    pycodestyle
changedir={toxinidir}/src/controllers
commands =
    pycodestyle .

[testenv:pylint]
basepython = python3
modules =
    src.controllers
deps =
    {[testenv]deps}
    pylint
commands =
    pylint -f parseable --ignore-imports=y --disable=locally-disabled -ry {[testenv:pylint]modules}

[testenv:pytest]
basepython = python3
setenv = 
    PYTHONPATH = {toxinidir}/src/controllers
    mongo_server_hostname = onap_1
    mongo_server_port = 27017
deps =
    {[testenv]deps}
    pytest
    pytest-cov
    requests-mock
    pytest-mock
commands =
    pytest --cov-report term-missing --cov={toxinidir}/src/controllers
